org.apache.ignite.internal.visor.node

## Class VisorBasicConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorBasicConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorBasicConfiguration
    extends VisorDataTransferObject

Data transfer object for node basic configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorBasicConfiguration()` Default constructor.
`VisorBasicConfiguration(IgniteEx ignite, IgniteConfiguration c)` Create data transfer object for node basic configuration properties.

### Method Summary

Methods
`String` `getAddressResolver()`
`String` `getClassLoader()`
`Long` `getClientFailureDetectionTimeout()`
`String` `getConsistentId()` Gets consistent globally unique node ID which survives node restarts.
`Object` `getDeploymentMode()`
`long` `getDiscoStartupDelay()`
`Long` `getFailureDetectionTimeout()`
`String` `getGgHome()`
`String` `getIgniteInstanceName()`
`String` `getLocalHost()`
`String` `getLogger()`
`String` `getMarshaller()`
`String` `getMBeanServer()`
`long` `getMetricsUpdateFrequency()`
`int` `getNetworkSendRetryCount()`
`long` `getNetworkSendRetryDelay()`
`long` `getNetworkTimeout()`
`String` `getProgramName()`
`String` `getSuccessFile()`
`int` `getTimeServerPortBase()`
`int` `getTimeServerPortRange()`
`long` `getUtilityCacheKeepAliveTime()`
`String` `getWorkDirectory()`
`boolean` `isActiveOnStart()`
`boolean` `isCacheSanityCheckEnabled()`
`Boolean` `isClientMode()`
`boolean` `isDaemon()`
`boolean` `isJmxRemote()`
`boolean` `isLateAffinityAssignment()`
`boolean` `isMarshalLocalJobs()`
`boolean` `isNoAscii()`
`boolean` `isNoDiscoOrder()`
`boolean` `isNoShutdownHook()`
`boolean` `isQuiet()`
`boolean` `isRestart()`
`boolean` `isUpdateNotifier()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBasicConfiguration

    public VisorBasicConfiguration()

Default constructor.

#### VisorBasicConfiguration

    public VisorBasicConfiguration(IgniteEx ignite,
                           IgniteConfiguration c)

Create data transfer object for node basic configuration properties.

Parameters:
  `ignite` - Grid.
  `c` - Grid configuration.

### Method Detail

#### getIgniteInstanceName

    @Nullable
    public String getIgniteInstanceName()

Returns:
  Ignite instance name.

#### getGgHome

    @Nullable
    public String getGgHome()

Returns:
  IGNITE_HOME determined at startup.

#### getLocalHost

    @Nullable
    public String getLocalHost()

Returns:
  Local host value used.

#### getMarshaller

    public String getMarshaller()

Returns:
  Marshaller used.

#### getDeploymentMode

    public Object getDeploymentMode()

Returns:
  Deployment Mode.

#### isClientMode

    public Boolean isClientMode()

Returns:
  Client mode flag.

#### isDaemon

    public boolean isDaemon()

Returns:
  Whether this node daemon or not.

#### isJmxRemote

    public boolean isJmxRemote()

Returns:
  Whether remote JMX is enabled.

#### isRestart

    public boolean isRestart()

Returns:
  Is node restart enabled.

#### getNetworkTimeout

    public long getNetworkTimeout()

Returns:
  Network timeout.

#### getLogger

    public String getLogger()

Returns:
  Logger used on node.

#### getDiscoStartupDelay

    public long getDiscoStartupDelay()

Returns:
  Discovery startup delay.

#### getMBeanServer

    @Nullable
    public String getMBeanServer()

Returns:
  MBean server name

#### isNoAscii

    public boolean isNoAscii()

Returns:
  Whether ASCII logo is disabled.

#### isNoDiscoOrder

    public boolean isNoDiscoOrder()

Returns:
  Whether no discovery order is allowed.

#### isNoShutdownHook

    public boolean isNoShutdownHook()

Returns:
  Whether shutdown hook is disabled.

#### getProgramName

    public String getProgramName()

Returns:
  Name of command line program.

#### isQuiet

    public boolean isQuiet()

Returns:
  Whether node is in quiet mode.

#### getSuccessFile

    public String getSuccessFile()

Returns:
  Success file name.

#### isUpdateNotifier

    public boolean isUpdateNotifier()

Returns:
  Whether update checker is enabled.

#### isActiveOnStart

    public boolean isActiveOnStart()

Returns:
  Active on start flag.

#### getAddressResolver

    public String getAddressResolver()

Returns:
  Class name of address resolver instance.

#### isCacheSanityCheckEnabled

    public boolean isCacheSanityCheckEnabled()

Returns:
  Flag indicating whether cache sanity check is enabled.

#### getClassLoader

    public String getClassLoader()

Returns:
  User's class loader.

#### getConsistentId

    public String getConsistentId()

Gets consistent globally unique node ID which survives node restarts.

Returns:
  Node consistent ID.a

#### getFailureDetectionTimeout

    public Long getFailureDetectionTimeout()

Returns:
  Failure detection timeout in milliseconds.

#### getWorkDirectory

    public String getWorkDirectory()

Returns:
  Ignite work directory.

#### isLateAffinityAssignment

    public boolean isLateAffinityAssignment()

Returns:
  Late affinity assignment flag.

#### isMarshalLocalJobs

    public boolean isMarshalLocalJobs()

Returns:
  `True` if local jobs should be marshalled.

#### getMetricsUpdateFrequency

    public long getMetricsUpdateFrequency()

Returns:
  Job metrics update frequency in milliseconds.

#### getClientFailureDetectionTimeout

    public Long getClientFailureDetectionTimeout()

Returns:
  Failure detection timeout for client nodes in milliseconds.

#### getNetworkSendRetryCount

    public int getNetworkSendRetryCount()

Returns:
  Message send retries count.

#### getNetworkSendRetryDelay

    public long getNetworkSendRetryDelay()

Returns:
  Interval between message send retries.

#### getTimeServerPortBase

    public int getTimeServerPortBase()

Returns:
  Base UPD port number for grid time server.

#### getTimeServerPortRange

    public int getTimeServerPortRange()

Returns:
  Number of ports to try before server initialization fails.

#### getUtilityCacheKeepAliveTime

    public long getUtilityCacheKeepAliveTime()

Returns:
  Thread pool keep alive time (in milliseconds) to be used in grid for utility cache messages.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017